/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

#ifndef __G_PUMP_App__
#define __G_PUMP_App__

#include <gtk/gtk.h>
#include <gio/gio.h>
#include <rest/oauth2-proxy.h>
#include <rest/rest-proxy-call.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n.h>


#define GPUMP_TYPE_APP              (gpump_app_get_type ())
#define GPUMP_APP(obj)              (G_TYPE_CHECK_INSTANCE_CAST((obj), GPUMP_TYPE_APP, GPumpApp))
#define GPUMP_APP_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass), GPUMP_TYPE_APP, GPumpAppClass))
#define GPUMP_IS_APP(obj)           (G_TYPE_CHECK_INSTANCE_TYPE((obj), GPUMP_TYPE_APP))
#define GPUMP_IS_APP_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GPUMP_TYPE_APP))
#define GPUMP_APP_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS((obj), GPUMP_TYPE_APP, GPumpAppClass))

/*
 * NAMESPACE: gpump_*
 *
 * The App is a GtkApplication
 *
 * CLASS NAMESPACE: gpump_app_*
 */

typedef struct GPumpApp GPumpApp;
typedef struct GPumpAppPrivate GPumpAppPrivate;
typedef struct GPumpAppClass GPumpAppClass;

struct GPumpApp {
  GtkApplication parent;
  
  /* public */
  
  /* private */
  GPumpAppPrivate * priv;
};

struct GPumpAppClass {
  GtkApplicationClass parent_class;
};


GType gpump_app_get_type (void) G_GNUC_CONST;

/**
 * Create a new app.
 * 
 */
GPumpApp * gpump_app_new (void);


#endif /*__G_PUMP_App__*/

